{% extends "lab_7/layout/base.html" %}

{% block content %}
    <section name="friend-list" id="friend-list">
        <div class="container">
            <div class="row">
                <div class="col-md-8 col-lg-8">
                    <h2>Friend Fasilkom</h2>
                    <div id="friend-list" class="list-group">

                    </div>
                </div>
            </div>
        </div>
    </section>
{% endblock %}
{% block javascript %}
    <script>
        var emptyAlert = function(lengthData) {
            if (lengthData == 0){
                $(".container").append('<div class="alert alert-danger text-center"><strong>Oops!</strong> Tidak ada mahasiswa</div>');
            }
        };

		var deletefriend = function(id) {

			$.ajax({
            method: "POST",
            url: "{% url "lab-7:delete-friend" %}",
            data: {id:id},
            success : function (status) {
                $("#friend-" + id).remove();
                emptyAlert($("#friend-list").children().length - 1);
            },
            error : function (error) {
				alert("Penghapusan teman gagal");
            }
			});
			};

        $( document ).ready(function () {

            {# lengkapi pemanggilan ajax berikut untuk mengambil daftar teman yang ada di database #}
            $.ajax({
                method: "GET",
				url: "{% url "lab-7:get-friend-list" %}",
                success: function (response) {
				lst = response.friend_list;
                emptyAlert(lst.length);
				for (fr in lst) {
					html = '<a class="list-group-item clearfix" id=' + 'friend-' + lst[fr].id +'>' +
					    lst[fr].friend_name + " " + lst[fr].npm;
					html += '<span class="pull-right">'
						+ '<span class="btn btn-xs btn-default" onClick="deletefriend('
					    + "'" + lst[fr].id + "')" + '">'
					    + "Hapus</span></span></a>";
					$("#friend-list").append(html);
                }},
                error: function(error){
					alert("Data tidak dapat dimasukkan");
                }
            });
        });

    </script>
{% endblock %}
